Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.multi
Class MultiLookAndFeel

    java.lang.Object
      |
      +--javax.swing.LookAndFeel
            |
            +--javax.swing.plaf.multi.MultiLookAndFeel

public class MultiLookAndFeel
extends LookAndFeel

A Multiplexing UI Look and Feel that allows more than one UI to be associated with a component at the same time.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

Constructor Summary
`MultiLookAndFeel()`

Method Summary
`static ComponentUI` | `createUIs(ComponentUI mui, java.util.Vector uis, JComponent target)` Create the real UI's from the default and auxiliary look and feels, placing the results in the uis vector passed in.
`UIDefaults` | `getDefaults()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getID()`
`java.lang.String` | `getName()`
`boolean` | `isNativeLookAndFeel()`
`boolean` | `isSupportedLookAndFeel()`
`protected static ComponentUI[]` | `uisToArray(java.util.Vector uis)` Turn the Vector of UI's into an array.

Methods inherited from class javax.swing.LookAndFeel
`initialize, installBorder, installColors, installColorsAndFont, makeIcon, makeKeyBindings, toString, uninitialize, uninstallBorder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiLookAndFeel

    public MultiLookAndFeel()

Method Detail

### getName

    public java.lang.String getName()

  Overrides:
    getName in class LookAndFeel

### getID

    public java.lang.String getID()

  Overrides:
    getID in class LookAndFeel

### getDescription

    public java.lang.String getDescription()

  Overrides:
    getDescription in class LookAndFeel

### isNativeLookAndFeel

    public boolean isNativeLookAndFeel()

  Overrides:
    isNativeLookAndFeel in class LookAndFeel

### isSupportedLookAndFeel

    public boolean isSupportedLookAndFeel()

  Overrides:
    isSupportedLookAndFeel in class LookAndFeel

### getDefaults

    public UIDefaults getDefaults()

  Overrides:
    getDefaults in class LookAndFeel

### createUIs

    public static ComponentUI createUIs(ComponentUI mui,
                                        java.util.Vector uis,
                                        JComponent target)

  Create the real UI's from the default and auxiliary look and feels, placing the results in the uis vector passed in.
  Returns:
    the ComponentUI for the component.

### uisToArray

    protected static ComponentUI[] uisToArray(java.util.Vector uis)

  Turn the Vector of UI's into an array.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.